### Virtual Method

# Gtk Buildable construct_child

#### Declaration [src]

    GObject*
    construct_child (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      const char* name
    )

#### Description [src]

Constructs a child of a buildable that has been specified as “constructor” in the UI definition. This can be used to reference a widget created in a `<ui>` tag which is outside of the normal GtkBuilder UI definition hierarchy. A reference to the constructed object is returned and becomes owned by the caller.

#### Parameters

`builder`

  Type: `GtkBuilder`

  No description available.

  The data is owned by the caller of the method.

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GObject`

No description available.

The returned data is owned by the instance.